### Signal

# Gtk InfoBar::response

#### Declaration

    void
    response (
      GtkInfoBar self,
      gint response_id,
      gpointer user_data
    )

#### Description [src]

Emitted when an action widget is clicked.

The signal is also emitted when the application programmer calls gtk_info_bar_response(). The `response_id` depends on which action widget was clicked.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`response_id` | `gint`
| The response ID.